Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.gradle.plugins.eclipse
[Groovy] Class EclipseClasspath

    java.lang.Object
      org.gradle.api.internal.ConventionTask
          org.gradle.api.tasks.GeneratorTask
              org.gradle.api.tasks.XmlGeneratorTask
                  org.gradle.plugins.eclipse.EclipseClasspath

    class EclipseClasspath
    extends XmlGeneratorTask

Generates an Eclipse `.classpath` file.

Authors:
  Hans Dockter

Field Summary
`protected ClasspathFactory` | `modelFactory`

Fields inherited from class GeneratorTask
generator

Property Summary
`java.util.Set` | `containers` Containers to be added to the classpath
`java.io.File` | `defaultOutputDir` The default output directory for eclipse generated files, eg classes.
`boolean` | `downloadJavadoc` Whether to download and add javadocs associated with the dependency jars.
`boolean` | `downloadSources` Whether to download and add sources associated with the dependency jars.
`java.util.Set` | `minusConfigurations` The configurations which files are to be excluded from the classpath entries.
`java.util.Set` | `plusConfigurations` The configurations which files are to be transformed into classpath entries.
`java.lang.Iterable` | `sourceSets` The source sets to be added to the classpath.
`java.util.Map` | `variables` The variables to be used for replacing absolute paths in classpath entries.

Constructor Summary
`EclipseClasspath()`

Method Summary
`protected void` | `configure(Classpath object)`
`void` | `containers(java.lang.String containers)` Adds containers to the .classpath.
`protected Classpath` | `create()`
`void` | `variables(java.util.Map variables)` Adds variables to be used for replacing absolute paths in classpath entries.

Methods inherited from class XmlGeneratorTask
configure, create, getXmlTransformer, withXml, withXml

Methods inherited from class GeneratorTask
beforeConfigured, beforeConfigured, getInputFile, getOutputFile, setInputFile, setOutputFile, whenConfigured, whenConfigured

Field Detail

### modelFactory

    protected ClasspathFactory modelFactory

Property Detail

### containers

    java.util.Set containers

  Containers to be added to the classpath

### defaultOutputDir

    java.io.File defaultOutputDir

  The default output directory for eclipse generated files, eg classes.

### downloadJavadoc

    boolean downloadJavadoc

  Whether to download and add javadocs associated with the dependency jars. Defaults to false.

### downloadSources

    boolean downloadSources

  Whether to download and add sources associated with the dependency jars. Defaults to true.

### minusConfigurations

    java.util.Set minusConfigurations

  The configurations which files are to be excluded from the classpath entries.

### plusConfigurations

    java.util.Set plusConfigurations

  The configurations which files are to be transformed into classpath entries.

### sourceSets

    java.lang.Iterable sourceSets

  The source sets to be added to the classpath.

### variables

    java.util.Map variables

  The variables to be used for replacing absolute paths in classpath entries.

Constructor Detail

### EclipseClasspath

    EclipseClasspath()

Method Detail

### configure

    @Override
    protected void configure(Classpath object)

### containers

    void containers(java.lang.String containers)

  Adds containers to the .classpath.
  Parameters:
    `containers` - the container names to be added to the .classpath.

### create

    @Override
    protected Classpath create()

### variables

    void variables(java.util.Map variables)

  Adds variables to be used for replacing absolute paths in classpath entries.
  Parameters:
    `variables` - A map where the keys are the variable names and the values are the variable values.

Groovy Documentation